/*
 * Tangram
 * 
 * Program koji ce ucitati sedam geometriskih figura
 * datog oblika, i sliku koja se moze sastaviti od datih 
 * geometriskih figura. Omoguciti pomjeranje figure pomocu misa. 
 * 
 */



import java.awt.*;
import acm.graphics.*;
import acm.program.*;
import java.awt.event.*;


public class f02_tangram extends GraphicsProgram
{
	public void run()
	{
		GImage slika=new GImage("dio1.png");
		add(slika,0,0);
		slika=new GImage("dio2.png");
		add(slika,250,0);
		slika=new GImage("dio3.png");
		add(slika,400,0);
		slika=new GImage("dio4.png");
		add(slika,5,150);
		slika=new GImage("dio5.png");
		add(slika,150,200);
		slika=new GImage("dio6.png");
		add(slika,250,200);
		slika=new GImage("dio7.png");
		add(slika,350,200);
		
		GLabel tekst=new GLabel("Od datih geometriskih figura:",10,40);
		tekst.setFont("Serif-35");
		tekst.setColor(Color.RED);
		add(tekst);
		
		slika=new GImage("konacan.png");
		add(slika,250,420);
		
		tekst=new GLabel("Sloziti sljedecu sliku:",10,500);
		tekst.setFont("Serif-35");
		tekst.setColor(Color.RED);
		add(tekst);
		
		addMouseListeners();
	}
	
	public void mousePressed(MouseEvent e)
	{
		objekat=getElementAt(e.getX(),e.getY());
		tackaKlika=new GPoint(e.getX(),e.getY());		
	}
	
	public void mouseDragged(MouseEvent e)
	{
		if(objekat!=null)
		{
			objekat.move(e.getX()-tackaKlika.getX(), e.getY()-tackaKlika.getY());
			tackaKlika=new GPoint(e.getPoint());
		}
	}
	
	public void mouseClicked(MouseEvent e)
	{
		if(objekat!=null)
			objekat.sendForward();
	}
	
	private GObject objekat;
	private GPoint tackaKlika;
	
	
}
